Debian Bug report logs - #638988
new upstream version

version graph

Package: alex; Maintainer for alex is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>; Source for alex is src:alex.

Reported by: Clint Adams <clint@debian.org>

Date: Tue, 23 Aug 2011 14:39:01 UTC

Severity: normal

Found in version alex/2.3.5-3

Fixed in version alex/3.0.1-1

Done: Clint Adams <clint@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#638988; Package alex. (Tue, 23 Aug 2011 14:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <clint@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Tue, 23 Aug 2011 14:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Clint Adams <clint@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: new upstream version
Date: Tue, 23 Aug 2011 14:41:41 +0000
Package: alex
Version: 2.3.5-3

I'd like alex 3.0.1 so that language-javascript can
be packaged.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#638988; Package alex. (Tue, 23 Aug 2011 14:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Tue, 23 Aug 2011 14:51:06 GMT) Full text and rfc822 format available.

Message #10 received at 638988@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Clint Adams <clint@debian.org>
Cc: 638988@bugs.debian.org
Subject: Re: [Pkg-haskell-maintainers] Bug#638988: new upstream version
Date: Tue, 23 Aug 2011 16:47:11 +0200
[Message part 1 (text/plain, inline)]
Hi,

Am Dienstag, den 23.08.2011, 14:41 +0000 schrieb Clint Adams:
> Package: alex
> Version: 2.3.5-3
> 
> I'd like alex 3.0.1 so that language-javascript can

sure, go ahead. Ideally, you check if all existing alex-using libraries
can still be built.

Greetings,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#638988; Package alex. (Tue, 23 Aug 2011 14:54:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <clint@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Tue, 23 Aug 2011 14:54:09 GMT) Full text and rfc822 format available.

Message #15 received at 638988@bugs.debian.org (full text, mbox):

From: Clint Adams <clint@debian.org>
To: 638988@bugs.debian.org
Subject: Re: [Pkg-haskell-maintainers] Bug#638988: new upstream version
Date: Tue, 23 Aug 2011 14:56:20 +0000
On Tue, Aug 23, 2011 at 04:47:11PM +0200, Joachim Breitner wrote:
> sure, go ahead. Ideally, you check if all existing alex-using libraries
> can still be built.

Okay, those seem to be

 agda
 c2hs
 gtk2hs-buildtools
 haskell-haddock
 haskell-language-c
 haskell-ranged-sets
 haskell-sdl
 haskell-sdl-gfx
 haskell-sdl-image
 haskell-sdl-mixer
 haskell-sdl-ttf





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#638988; Package alex. (Tue, 23 Aug 2011 19:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <clint@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Tue, 23 Aug 2011 19:24:05 GMT) Full text and rfc822 format available.

Message #20 received at 638988@bugs.debian.org (full text, mbox):

From: Clint Adams <clint@debian.org>
To: 638988@bugs.debian.org
Subject: build tests with alex 3.0.1
Date: Tue, 23 Aug 2011 19:28:25 +0000
On Tue, Aug 23, 2011 at 02:56:20PM +0000, Clint Adams wrote:

FAILURE:
>  agda
>  gtk2hs-buildtools
>  haskell-haddock
>  haskell-language-c

SUCCESS:
>  c2hs
>  haskell-ranged-sets
>  haskell-sdl
>  haskell-sdl-gfx
>  haskell-sdl-image
>  haskell-sdl-mixer
>  haskell-sdl-ttf

Thoughts?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#638988; Package alex. (Tue, 23 Aug 2011 20:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Tue, 23 Aug 2011 20:27:03 GMT) Full text and rfc822 format available.

Message #25 received at 638988@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Clint Adams <clint@debian.org>, 638988@bugs.debian.org
Subject: Re: [Pkg-haskell-maintainers] Bug#638988: build tests with alex 3.0.1
Date: Tue, 23 Aug 2011 22:23:22 +0200
[Message part 1 (text/plain, inline)]
Hi,

thanks for checking!

Am Dienstag, den 23.08.2011, 19:28 +0000 schrieb Clint Adams:
> On Tue, Aug 23, 2011 at 02:56:20PM +0000, Clint Adams wrote:
> 
> FAILURE:
> >  agda
> >  gtk2hs-buildtools
> >  haskell-language-c

I quote http://www.haskell.org/alex/doc/html/about.html#relnotes-30:
„alexGetChar is renamed to alexGetByte in the generated code. “
so maybe this can be worked-around by also renaming it in the code. 

For language-c, there is a new version on hackage, that could be tried.

> >  haskell-haddock

Probably requires more work.

> Thoughts?

Obviously, these need to be fixed before we can upgrade alex. The next
step would be to tell upstream about it, they might fix it themselves,
as they have to eventually anyways.

Greetings,
Joachim


-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#638988; Package alex. (Tue, 23 Aug 2011 23:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <clint@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Tue, 23 Aug 2011 23:39:03 GMT) Full text and rfc822 format available.

Message #30 received at 638988@bugs.debian.org (full text, mbox):

From: Clint Adams <clint@debian.org>
To: 638988@bugs.debian.org
Subject: Re: [Pkg-haskell-maintainers] Bug#638988: build tests with alex 3.0.1
Date: Tue, 23 Aug 2011 23:42:34 +0000
On Tue, Aug 23, 2011 at 10:23:22PM +0200, Joachim Breitner wrote:
> For language-c, there is a new version on hackage, that could be tried.

Sadly it fails as well.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#638988; Package alex. (Tue, 23 Aug 2011 23:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <clint@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Tue, 23 Aug 2011 23:57:04 GMT) Full text and rfc822 format available.

Message #35 received at 638988@bugs.debian.org (full text, mbox):

From: Clint Adams <clint@debian.org>
To: Joachim Breitner <nomeata@debian.org>
Cc: 638988@bugs.debian.org
Subject: Re: [Pkg-haskell-maintainers] Bug#638988: build tests with alex 3.0.1
Date: Tue, 23 Aug 2011 23:58:58 +0000
On Tue, Aug 23, 2011 at 10:23:22PM +0200, Joachim Breitner wrote:
> I quote http://www.haskell.org/alex/doc/html/about.html#relnotes-30:
> „alexGetChar is renamed to alexGetByte in the generated code. “
> so maybe this can be worked-around by also renaming it in the code. 

This doesn't work.




Added blocking bug(s) of 638988: 639038 and 639036 Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Sun, 28 Aug 2011 17:54:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 638988: 639037 Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Sun, 28 Aug 2011 18:00:05 GMT) Full text and rfc822 format available.

Reply sent to Clint Adams <clint@debian.org>:
You have taken responsibility. (Mon, 05 Sep 2011 21:03:07 GMT) Full text and rfc822 format available.

Notification sent to Clint Adams <clint@debian.org>:
Bug acknowledged by developer. (Mon, 05 Sep 2011 21:03:07 GMT) Full text and rfc822 format available.

Message #44 received at 638988-close@bugs.debian.org (full text, mbox):

From: Clint Adams <clint@debian.org>
To: 638988-close@bugs.debian.org
Subject: Bug#638988: fixed in alex 3.0.1-1
Date: Mon, 05 Sep 2011 21:02:17 +0000
Source: alex
Source-Version: 3.0.1-1

We believe that the bug you reported is fixed in the latest version of
alex, which is due to be installed in the Debian FTP archive:

alex_3.0.1-1.debian.tar.gz
  to main/a/alex/alex_3.0.1-1.debian.tar.gz
alex_3.0.1-1.dsc
  to main/a/alex/alex_3.0.1-1.dsc
alex_3.0.1-1_amd64.deb
  to main/a/alex/alex_3.0.1-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 638988@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Clint Adams <clint@debian.org> (supplier of updated alex package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Tue, 23 Aug 2011 11:21:06 -0400
Source: alex
Binary: alex
Architecture: source amd64
Version: 3.0.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Clint Adams <clint@debian.org>
Description: 
 alex       - lexical analyser generator for Haskell
Closes: 638988
Changes: 
 alex (3.0.1-1) unstable; urgency=low
 .
   * New upstream release.  closes: #638988.
   * Update fix-bang-pattern.diff.
   * Add build dependency on libghc-quickcheck2-dev.
Checksums-Sha1: 
 3a5eb1d2e1143f66689e578d786e4ef532065fad 2043 alex_3.0.1-1.dsc
 70483626e579374a285a709cfb4b3728c78f7a6f 100057 alex_3.0.1.orig.tar.gz
 b23df500fa168a857303e6e43873688355f2776d 7472 alex_3.0.1-1.debian.tar.gz
 946fedcc6989013376c1a1e76527fcfdbded0cc6 563862 alex_3.0.1-1_amd64.deb
Checksums-Sha256: 
 f817357d31873e25f84a21d08ab46868a8cfe9db53b4c4b11b4611afe66955e1 2043 alex_3.0.1-1.dsc
 727235cee46396537c2b53b4a0fae0ec25cffb9e982ce899816e92fcfe4cfaf0 100057 alex_3.0.1.orig.tar.gz
 c1a5040d5fb638301162cb783d848f8ebea3cdc12713d275e70f02b662fa9164 7472 alex_3.0.1-1.debian.tar.gz
 32f438a9da794167c567bdea524a58c8912fb36abdbcdf0a549db4f4ab6a6a63 563862 alex_3.0.1-1_amd64.deb
Files: 
 a1b64dcabf3acc30822a4ebe46e0d893 2043 haskell extra alex_3.0.1-1.dsc
 5dec239c89165d159faa2154bc0724cd 100057 haskell extra alex_3.0.1.orig.tar.gz
 443aa346a5d5e69f27188a85ea094010 7472 haskell extra alex_3.0.1-1.debian.tar.gz
 9814cea84380a66b74716ffb984cd967 563862 haskell extra alex_3.0.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Debian!

iQIcBAEBCgAGBQJOZSsuAAoJEFWSMx4ZnTionSIP/36klZKhjtHgmcJg1F6kOA7X
A8PtV2KKsG/dzBw5RtsPrWAwl6lh8aqa7RC0VHuJPkSDFLKdxFWYhpqtp3KvXkAX
rw7UG29t8k8i1utI3Zc8IicR7A+b7zkeBIqemJKY5nV0Gc60unYbvCrM0xrxt0vh
5qSs+IHm5v/E3gO+lQuHMc8P9babbunKNGjbRbdl6hM1WGJEvzbZ/FhlUvqDETpw
UkT3ThtQb9AtcH0rlCEtBUxqvZkkzke7PI/jcqJigD0aChqsjSKSluvB9e/ryAs2
xXe2ymkYH+hFpXKI7MroOmk1SUKn5KXo4uztjCMrqssJGSBYKNYF6o3VO360oVvz
5vNw92nCkNQXyCsP/htJwcEXFRaYvhpftfiYShk7GnnFM4kLiQCmyrPtPrV65pCG
1Jcwd8UfIDRg3XJ35+2K15Ysf1y+DicuraNbyvtcCQwU8E33rNVR7vx2do3DlQvI
m4IT39UAi+U1lPMZMNV1WrM7ngLYtnyxmiTHc3+UelrbY8cuAg6nOITBd4O/UEBT
4zptamZ1BjW+ip0zY9qVhlhiAUfiU5v5Akj/DTT5oPOdq6ROllKOuvbhfIbgtAuC
/RjCAntunHR1kTkl3fgS4R4R7zfShRAu4lVgXLbX1QLDda0rucg7PJLIId5kfaj/
hgn/qW4qmGzeSWx7klX1
=64xn
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 20 Jan 2012 07:37:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:21:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.